/* sdacmvls.h - securid protocol */
/******************************************************************************
*               COPYRIGHT (C) 1995-2001 by RSA Security Inc.                  *
*                         ---ALL RIGHTS RESERVED---                           *
******************************************************************************/

#ifndef _SDACMVLS

/* message status codes for ACM_RESP_MSG.status */

#define ACM_OK                      0
#define ACM_ACCESS_DENIED           1
#define ACM_NEXT_CODE_REQUIRED      2
#define ACM_NEXT_CODE_BAD           4
#define ACM_NEW_PIN_REQUIRED        5
#define ACM_NEW_PIN_ACCEPTED        6
#define ACM_NEW_PIN_REJECTED        7
#define ACM_SHELL_OK                8
#define ACM_SHELL_BAD               9
#define ACM_TIME_OK                 10
#define ACM_SUSPECT_ACK             13

#define ACM_LOG_ACK                 16

/* client only values */
#define ACM_NO_SERVER               23
#define ACM_INVALID_SERVER          24

/* A/S V5.0 - new status values */
#define ACM_OK_2				    25
#define	ACM_DOWNGRADE			    26
#define ACM_ACK_NAMELOCK		    27

/* sd_auth result; no chars entered, ignore entry */
#define ACM_ENTRY_ERR -1

#define _SDACMVLS
#endif

