/* sdi_defs.h */
/******************************************************************************
*               COPYRIGHT (C) 1995-2001 by RSA Security Inc.                  *
*                         ---ALL RIGHTS RESERVED---                           *
******************************************************************************/

#ifndef _SDI_DEFS
#define _SDI_DEFS

/* valid delimiters for PIN/PRN combination */
#define DELIMITER " \t\\/;:,"

/* Action codes for user selectable pins. */

#define SELECT_PIN              0
#define DEFER_PIN               1

/* options codes for user selectable pins */

#define CANNOT_CHOOSE_PIN	0
#define USER_SELECTABLE		1
#define MUST_CHOOSE_PIN		2

/* sdtermio flags */
#define SDI_ECHO 0
#define SDI_NO_ECHO 1

#ifndef TRUE
#define TRUE  1
#define FALSE 0
#endif

#ifndef FAIL
#define FAIL -1
#endif

#ifndef NULL
#define NULL 0
#endif

/* typedef statements for frequently used types */

#include "sdi_type.h"

/* Definitions of lengths for api parameters. */

#include "sdi_size.h"

#endif

