/*
 *   Copyright (C) 2002-2006
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <iostream>
#include "tac_plus.h"

Config::Config()
{
	cfgtype = USEDB;
	cfgfile = DEFAULT_CONFIG_FILE;
	dburl = new string(DEFAULT_DB);
	acctfile = new string(DEFAULT_ACCT_FILE); 
	sendauth_only = 0;
}

Config::~Config()
{
	delete dburl;
	delete acctfile;
}

void Config::setconfigfile( char *cfile ) {
	cfgfile = cfile;
}

int Config::loadcfg() {
	taclog->report("Config::loadcfg - Loading configuration\n");
}

int Config::parse() {
	taclog->report("Parcing configuration\n");
}

