/*
 *   Copyright (C) 2002-2006
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
*/

#define VERSION "4.5b3"
#define DEFAULT_CONFIG_FILE	"/etc/tacplus/tac_plus.cfg"
#define DEFAULT_LOG_FILE	"/var/log/tac_plus.log"

#define MAX_FILE_PATH	1024

#define SIZEOF_UNSIGNED_SHORT 2
#define SIZEOF_UNSIGNED_INT   4
#define SIZEOF_UNSIGNED_LONG  4

#ifndef uint32_t

#if SIZEOF_UNSIGNED_SHORT == 4
typedef unsigned short uint32_t;
#else
#if SIZEOF_UNSIGNED_INT == 4
typedef unsigned int uint32_t;
#else
#if SIZEOF_UNSIGNED_LONG == 4
typedef unsigned long uint32_t;
#else
#error "Unable to find 32-bit unsigned int for TAC_UINT32 type"
#endif /* SIZEOF_UNSIGNED_LONG */
#endif
#endif

#define SYS_LINUX 1
//#define SYS_SOLARIS 1

#endif

