/* sdi_size.h */
/******************************************************************************
*               COPYRIGHT (C) 1995-2001 by RSA Security Inc.                  *
*                         ---ALL RIGHTS RESERVED---                           *
******************************************************************************/
 
/* this file contains ACE Portability definitions. */
 
#ifndef _SDI_SIZE
#define _SDI_SIZE

#define LENID 6
#define LENPIN 12
#define LENSER 12
#define LENLOGID 32
#define LENPRNST 16
#define LENPATH 64
#define LENTITLE 40 
#define LENACMFILE 64
#define LENHOSTNAME 64
#define LENACMNAME 32 
#define LENUSERNAME 64
#define LENSECRET 16
#define LENMAXPIN 16
#define LENSEQNUM 8

#define LENPASCD 20             /* parsed passcode 8 + 1 + 8 + slop     */
#define LENSHELL LENACMNAME     /* better name for api users            */
#define LENCERTIFICATE 35

/* Length that user data gets hashed into */
#define CERT_USER_DATA_HASH_LEN 36

#endif

